# Uses of Class
org.eclipse.emf.cdo.common.branch.CDOBranchRef

Packages that use CDOBranchRef
Package
Description
org.eclipse.emf.cdo.common.branch
Common concepts for dealing with branches.
org.eclipse.emf.cdo.etypes.impl
The generated EMF implementation of the CDO system data types and native annotations.
org.eclipse.emf.cdo.etypes.util
The generated EMF utilities of the CDO system data types and native annotations.
org.eclipse.emf.cdo.lm
The generated EMF API of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.client
Client concepts for dealing with CDO Lifecycle Management systems and assemblies.
org.eclipse.emf.cdo.lm.impl
The generated EMF implementation of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.server
Server integration of the CDO Lifecycle Management.

## Uses of CDOBranchRef in org.eclipse.emf.cdo.common.branch

Fields in org.eclipse.emf.cdo.common.branch declared as CDOBranchRef
Modifier and Type
Field
Description
`static final CDOBranchRef`
CDOBranchRef.`MAIN`
Methods in org.eclipse.emf.cdo.common.branch that return CDOBranchRef
Modifier and Type
Method
Description
`CDOBranchRef`
CDOBranchPointRef.`getBranchRef()`
`CDOBranchRef`
CDOBranchRef.Provider.`getBranchRef()`
Constructors in org.eclipse.emf.cdo.common.branch with parameters of type CDOBranchRef
Modifier
Constructor
Description
``
`CDOBranchPointRef(CDOBranchRef branchRef, long timeStamp)`

## Uses of CDOBranchRef in org.eclipse.emf.cdo.etypes.impl

Methods in org.eclipse.emf.cdo.etypes.impl that return CDOBranchRef
Modifier and Type
Method
Description
`CDOBranchRef`
EtypesFactoryImpl.`createBranchRefFromString(EDataType eDataType, String initialValue)`

## Uses of CDOBranchRef in org.eclipse.emf.cdo.etypes.util

Methods in org.eclipse.emf.cdo.etypes.util with parameters of type CDOBranchRef
Modifier and Type
Method
Description
`boolean`
EtypesValidator.`validateBranchRef(CDOBranchRef branchRef, DiagnosticChain diagnostics, Map<Object,Object> context)`

## Uses of CDOBranchRef in org.eclipse.emf.cdo.lm

Methods in org.eclipse.emf.cdo.lm that return CDOBranchRef
Modifier and Type
Method
Description
`CDOBranchRef`
Change.`getBranch()`
Returns the value of the 'Branch' attribute.
`CDOBranchRef`
FloatingBaseline.`getBranch()`
`CDOBranchRef`
Stream.`getDevelopmentBranch()`
Returns the value of the 'Development Branch' attribute.
`CDOBranchRef`
Stream.`getMaintenanceBranch()`
Returns the value of the 'Maintenance Branch' attribute.
Methods in org.eclipse.emf.cdo.lm with parameters of type CDOBranchRef
Modifier and Type
Method
Description
`void`
Change.`setBranch(CDOBranchRef value)`
Sets the value of the '`Branch`' attribute.
`void`
Stream.`setDevelopmentBranch(CDOBranchRef value)`
Sets the value of the '`Development Branch`' attribute.
`void`
Stream.`setMaintenanceBranch(CDOBranchRef value)`
Sets the value of the '`Maintenance Branch`' attribute.

## Uses of CDOBranchRef in org.eclipse.emf.cdo.lm.client

Methods in org.eclipse.emf.cdo.lm.client that return CDOBranchRef
Modifier and Type
Method
Description
`CDOBranchRef`
ISystemManager.StreamBranchChangedEvent.`getNewBranch()`

## Uses of CDOBranchRef in org.eclipse.emf.cdo.lm.impl

Fields in org.eclipse.emf.cdo.lm.impl declared as CDOBranchRef
Modifier and Type
Field
Description
`protected static final CDOBranchRef`
ChangeImpl.`BRANCH_EDEFAULT`
The default value of the '`Branch`' attribute.
`protected static final CDOBranchRef`
StreamImpl.`DEVELOPMENT_BRANCH_EDEFAULT`
The default value of the '`Development Branch`' attribute.
`protected static final CDOBranchRef`
StreamImpl.`MAINTENANCE_BRANCH_EDEFAULT`
The default value of the '`Maintenance Branch`' attribute.
Methods in org.eclipse.emf.cdo.lm.impl that return CDOBranchRef
Modifier and Type
Method
Description
`CDOBranchRef`
ChangeImpl.`getBranch()`
`abstract CDOBranchRef`
FloatingBaselineImpl.`getBranch()`
`CDOBranchRef`
StreamImpl.`getBranch()`
`CDOBranchRef`
StreamImpl.`getDevelopmentBranch()`
`CDOBranchRef`
StreamImpl.`getMaintenanceBranch()`
Methods in org.eclipse.emf.cdo.lm.impl with parameters of type CDOBranchRef
Modifier and Type
Method
Description
`void`
ChangeImpl.`setBranch(CDOBranchRef newBranch)`
`void`
StreamImpl.`setDevelopmentBranch(CDOBranchRef newDevelopmentBranch)`
`void`
StreamImpl.`setMaintenanceBranch(CDOBranchRef newMaintenanceBranch)`

## Uses of CDOBranchRef in org.eclipse.emf.cdo.lm.server

Methods in org.eclipse.emf.cdo.lm.server that return CDOBranchRef
Modifier and Type
Method
Description
`static CDOBranchRef`
AbstractLifecycleManager.`getBranch(CDORevision floatingBaseline)`